<?php
// $Id: theme-settings.php,v 1.8 2011/02/01 21:22:04 evgenij Exp $
// An example themes/garland/theme-settings.php file.

/**
* Implementation of THEMEHOOK_settings() function.
*
* @param $saved_settings
*   array An array of saved settings for this theme.
* @return
*   array A form array.
*/

function phptemplate_settings($saved_settings) {
if(function_exists('imagettfbbox')) {
  /*
   * The default values for the theme variables. Make sure $defaults exactly
   * matches the $defaults in the template.php file.
   */
 $defaults = array('font' => '0', 'font_size' => '50', 'font_msg' => 'BIZ');
  // Merge the saved variables and their default values
 $settings = array_merge($defaults, $saved_settings);
 $path_to_theme = "themes/biz";
 $font_dir = $path_to_theme.'/images/fonts';
 $get_fonts = file_scan_directory($font_dir, '.ttf');
 $font_array = "";
 drupal_add_js("function fontpreview(){
 $('img#fontimg').remove();
 $('div#fontpreview').append('<img src=\"".base_path().$path_to_theme."/images/img.php?msg='+$('#edit-font-msg').val()+'&size='+$('#edit-font-size').val()+'&font='+$('select#edit-font option:selected').val()+'\" id=\"fontimg\">');
 }

 /*********************************************** 

 * Drag and Drop Script: © Dynamic Drive (http://www.dynamicdrive.com)
 * This notice MUST stay intact for legal use 
 * Visit http://www.dynamicdrive.com/ for this script and 100s more. 
 ***********************************************/ 
 var dragobject={ 
 z: 0, x: 0, y: 0, offsetx : null, offsety : null, targetobj : null, dragapproved : 0,
 initialize:function(){ 
 document.onmousedown=this.drag 
 document.onmouseup=function(){this.dragapproved=0} 
 }, 
 drag:function(e){ 
 var evtobj=window.event? window.event : e 
 this.targetobj=window.event? event.srcElement : e.target 
 if (this.targetobj.className==\"slider\"){ 
 this.dragapproved=1 
 if (isNaN(parseInt(this.targetobj.style.left))){this.targetobj.style.left=0} 
 if (isNaN(parseInt(this.targetobj.style.top))){this.targetobj.style.top=0} 
 this.offsetx=parseInt(this.targetobj.style.left) 
 this.offsety=parseInt(this.targetobj.style.top) 
 this.x=evtobj.clientX; 
 this.y=evtobj.clientY; 
 if (evtobj.preventDefault) 
 evtobj.preventDefault() 
 document.onmousemove=dragobject.moveit;} 
 }, moveit:function(e){ 
 var evtobj=window.event? window.event : e 
 if (this.dragapproved==1){ 
 this.targetobj.style.top= 0+\"px\" 
 if((this.offsetx+evtobj.clientX-this.x) > 0 && (this.offsetx+evtobj.clientX-this.x) < 100){ 
 this.targetobj.style.left=this.offsetx+evtobj.clientX-this.x+\"px\"; 
 $('#edit-font-size').val(this.offsetx+evtobj.clientX-this.x);
 fontpreview();} 
 return false;} 
 } 
  }
 dragobject.initialize();", "inline");

 foreach($get_fonts as $font){
 $font_array['name'][] = $font->name;
  }
 if(isset($_POST["font"]) && isset($_POST["font_msg"])){
   include_once($path_to_theme.'/images/textPNG.class.php');
   $textPNG = new textPNG;
   $textPNG->msg = $_POST["font_msg"]; // text to display
   $textPNG->font = $font_dir.'/'.$font_array['name'][$_POST["font"]]; // font to use (include directory if needed).
   if (isset($_POST["font_size"])) $textPNG->size = $_POST["font_size"]; // size in points
   $textPNG->output = file_directory_path()."/fontlogo.png";
   $textPNG->draw();
 }
  // Create the form widgets using Forms API
  $form['font'] = array(
    '#type' => 'select',
    '#title' => t('Font'),
    '#default_value' => $settings['font'],
    '#options' => $font_array['name'],
    '#suffix' => "<div id=\"fontpreview\" style=\"width: 100%; height: 200px; background-color: #5E6577;\"></div>\n",
    '#attributes' => array('onclick' => 'fontpreview();'),
  );
   $form['font_msg'] = array(
    '#type' => 'textfield',
    '#title' => t('Title'),
    '#value' => $settings['font_msg'],
   );
   $form['font_size'] = array(
    '#type' => 'textfield',
    '#title' => t('Size'),
    '#value' => $settings['font_size'],
    '#size' => '2',
    '#maxlength' => '2',
    '#suffix' => "<div style=\"width: 120px; height: 20px; cursor: pointer; background-color: #fff; padding: 0; border: 2px solid #5E6577; border-radius: 10px; -moz-border-radius: 10px;\"> \n <div class=\"slider\" style=\"width: 20px; height: 20px; left: ".$settings['font_size']."px; top: 0px; background: transparent url(".base_path().$path_to_theme."/images/slider.png) no-repeat ; padding: 0; position:relative;\"> \n  </div>\n",
   );
  // Return the additional form widgets
  return $form;
 }
}
?>
